#### Add support for `[[wiki-style]]` links (#9275 by @iamrecursion)

1.  Support for `[[wiki-style]]` links ensures that they do not get broken by
    the prettier formatting by being wrapped over multiple lines.
2.  The contents of the link (between the `[[]]` brackets) are treated as raw
    text. This is because the various tools that rely on the `[[]]` syntax do not
    agree on what is allowable between them.

<!-- prettier-ignore -->
```markdown
<!-- Input -->
If I have a prose that forces a wiki link to end up crossing the [[line width limit]] like this. It's wrapped into an invalid state.

<!-- Prettier stable -->
If I have a prose that forces a wiki link to end up crossing the [[line width
limit]] like this. It's wrapped into an invalid state.

<!-- Prettier master -->
If I have a prose that forces a wiki link to end up crossing the
[[line width limit]] like this. It's wrapped into an invalid state.
```
