#### Align code block language detection with other popular tools (#9365 by @kachkaev)

Since [Prettier 1.12](https://prettier.io/blog/2018/04/11/1.12.0.html#support-fenced-codeblock-lang-followed-by-attributes-4153httpsgithubcomprettierprettierpull4153-by-ikatyanghttpsgithubcomikatyang), code blocks starting like ` ```js {something=something} ` are detected as JavaScript ones and are therefore formatted.
Back in the day, not many tools used to separate the language from the metadata, so [it was decided](https://github.com/prettier/prettier/pull/4783) to make whitespace optional and thus detect ` ```js{something=something} ` as JavaScript too.

With the release of [Remark](https://github.com/remarkjs/remark) v8 (which is used by Prettier), code block language detection and formatting became inconsistent in [several rare edge cases](https://github.com/prettier/prettier/issues/9155).
Besides, [it was noticed](https://github.com/gicentre/litvis/issues/50) that Prettier‘s formatting behaviour mismatched syntax highlighting in VSCode.
To encourage consistency between different tools and to better align with the [Commonmark spec](https://spec.commonmark.org/0.29/#fenced-code-blocks), use of whitespace between the language name and the metadata was made compulsory.

<!-- prettier-ignore -->
````markdown
<!-- Input -->
```js {something=something}
console.log    (    "hello world"    );
```

```js{something=something}
console.log    (    "hello world"    );
```

<!-- Prettier stable -->
```js {something=something}
console.log("hello world");
```

```js{something=something}
console.log("hello world");
```

<!-- Prettier master -->
```js {something=something}
console.log("hello world");
```

```js{something=something}
console.log    (    "hello world"    );
```
````
